

/* 
Note: Running this files requires an additional package for Stata 
developed by Travis Braidwood. The package and instructions can be
found here: http://myweb.fsu.edu/tab08/dataverse.html
*/

clear all
set seed 0210
set more off, perm  

estsimp nbreg F.hrosecloc_merge physint con_physint conphysXphys polity20 polity_square orgrights kof_ogi S_all latincarib durable lngdppercap lnpop civilconflict  NGOtargetGTDfilled dictHROngostateviolent  lnreport conhrosecloc lnhrfilled yr12-yr24 if western==0, robust


preserve

setx mean 
setx civilconflict 0
setx latincarib 0 
setx dictHROngostateviolent 0
setx (yr12-yr24) 0
setx yr15 1
local a = 0 
local b = 3 
local c = `a'*`b' 
setx con_physint (`a') physint (`b') conphysXphys (`c') 

simqi
macro list
scalar list 

postutil clear
postfile mypost probY upper lower using simresults, replace 
noisily display "start"
set obs 6450
while `a' <= 8 {

qui simqi, fd(ev) changex(physint 3 6  conphysXphys (3*`a') (6*`a') )
scalar probY= Pr
scalar upper = PrU
scalar lower = PrL
post mypost (probY) (upper) (lower)
scalar drop probY upper lower
local a = `a'+ .5 
local b = `b' 
local c = `a'*`b'
setx con_physint (`a') physint (`b') conphysXphys (`c') 
display "." _c 
}
display ""

postclose mypost 
use simresults, clear 

sum
range MV 0 8 17
gsort probY upper lower -MV 

format probY upper lower %9.2f 

twoway rarea lower upper MV, color(gray*.25) fi(100) ///
		|| line probY MV,  clcolor(black) clpattern(solid) legend(off) ///
		ylab(-1(.25).5) yline(0) ///
		ytitle(Marginal Effect) xtitle(Neighborhood Physical Integrity Rights)
		



